Skip to main content
DELETE
/
environment
/
{environment_id}
Delete environment
curl --request DELETE \
  --url https://api.braintrust.dev/environment/{environment_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "slug": "<string>",
  "description": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Most Braintrust endpoints are authenticated by providing your API key as a header Authorization: Bearer [api_key] to your HTTP request. You can create an API key in the Braintrust organization settings page.

Path Parameters

environment_id
string<uuid>
required

Response

Deleted environment

id
string<uuid>
required

Unique identifier for the environment

org_id
string<uuid>
required

Unique identifier for the organization that the environment belongs under

name
string
required

Name of the environment

slug
string
required

A url-friendly, unique identifier for the environment within an organization

description
string | null

Textual description of the environment

created
string<date-time> | null

Date of environment creation

deleted_at
string<date-time> | null

Date of environment deletion, or null if the environment is still active